/**
 * @description to-html entry
 * @author wangfupeng
 */
import { Text as SlateText, Element as SlateElement } from 'slate';
import { IDomEditor } from '../editor/interface';
export declare type TextStyleToHtmlFnType = (node: SlateText | SlateElement, elemHtml: string) => string;
export declare const TEXT_STYLE_TO_HTML_FN_LIST: TextStyleToHtmlFnType[];
/**
 * 注册 toHtml 处理文本样式的函数
 * @param fn 处理 toHtml 文本样式的函数
 */
export declare function registerTextStyleToHtmlHandler(fn: TextStyleToHtmlFnType): void;
export declare type TextToHtmlFnType = (textNode: SlateText, textHtml: string) => string;
export declare const TEXT_TO_HTML_FN_LIST: TextToHtmlFnType[];
/**
 * 注册 textToHtml 函数
 * @param fn textToHtml 函数
 */
export declare function registerTextToHtmlHandler(fn: TextToHtmlFnType): void;
export declare type ElemToHtmlFnType = (elemNode: SlateElement, childrenHtml: string, editor?: IDomEditor) => string;
export declare const ELEM_TO_HTML_CONF: {
    [key: string]: ElemToHtmlFnType;
};
export interface IElemToHtmlConf {
    type: string;
    elemToHtml: ElemToHtmlFnType;
}
/**
 * 注册 elem to html 函数
 * @param conf { type, elemToHtml } ，type 即 node.type
 */
export declare function registerElemToHtmlConf(conf: IElemToHtmlConf): void;
